This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1024843 - [XMLRPC] Do we really need to get a TestBuild object to construct search criterias?
[XMLRPC] Do we really need to get a TestBuild object to construct search crit...
Status: NEW
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yang Ren
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 09:51 EDT by cqi
Modified: 2015-12-01 00:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cqi 2013-10-30 09:51:00 EDT
Within get_runs and get_caseruns method in build.py, build is the necessary criteria to search all objects associated with the TestBuild. Both of these twos get a real TestBuild object and then construct search criterias object, which is a django QuerySet criterias.

However, according to the ability of django's ORM, it's unnecessary to pass a complete TestBuild object, only the ``build_id`` is enough. Thus, one SQL query consumption is saved, and we can imagine how much resources can be saved in the server side, when those two method is being used in auto testing scripts.

Note You need to log in before you can comment on or make changes to this bug.